Gecode::Search::Par Namespace Reference

## Classes

class | BAB
| Parallel branch-and-bound engine More...
class | DFS
| Parallel depth-first search engine More...
class | Engine
| Parallel depth-first search engine More...
class | Path
| Depth-first path (stack of edges) supporting recomputation. More...
class | PortfolioStop
| Stop object used for controling slaves in a portfolio. More...
class | PBS
| Parallel portfolio engine implementation. More...
class | Slave
| Runnable slave of a portfolio master. More...
class | CollectAll
| Collect all solutions. More...
class | CollectBest
| Collect best solutions. More...

## Functions

Stop * | pbsstop (Stop *so)
| Create stop object.
Engine * | pbsengine (Engine **slaves, Stop **stops, unsigned int n_slaves, const Statistics &stat, bool best)
| Create parallel portfolio engine.

## Function Documentation

## pbsstop()

Stop * Gecode::Search::Par::pbsstop | ( | Stop * | so | ) |

Create stop object.

Definition at line 61 of file pbs.cpp.

## pbsengine()

Engine * Gecode::Search::Par::pbsengine | ( | Engine ** | slaves,
|  | Stop ** | stops,
|  | unsigned int | n_slaves,
|  | const Statistics & | stat,
|  | bool | best )

Create parallel portfolio engine.

Definition at line 66 of file pbs.cpp.